Page MenuHomePhabricator

efl_ui_focus_manager: rename a event
ClosedPublic

Authored by bu5hm4n on Sep 23 2018, 8:10 AM.

Details

Summary

In eo there is a difference between legacy events and normal events.
However, when a legacy event, that is called "focused" is emitted, the
event EFL_UI_FOCUS_MANAGER_FOCUSED is emitted on those objects. This
leads to bugs and unexpected results in elm_scroller, and additionally
this problem blocks work that is done right now to add those "focused"
event calls to gengrid.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Sep 23 2018, 8:10 AM
YOhoho accepted this revision.Oct 21 2018, 7:27 PM
This revision is now accepted and ready to land.Oct 21 2018, 7:27 PM
Closed by commit rEFL17b57ba5ac6f: efl_ui_focus_manager: rename a event (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyNov 2 2018, 1:54 AM
This revision was automatically updated to reflect the committed changes.